name 'git'

###
# Cookbooks location
###

# ESH
default_source :chef_repo, '../cookbooks'

# Community
default_source :supermarket, 'https://supermarket.chef.io'

###
# Run List
###

run_list %w(
  esh_forgejo::system
  esh_forgejo::mariadb
  esh_forgejo::service
)

###
# Attributes
###

###
# esh_forgejo
###

default['esh']['forgejo']['mariadb']['password'] = ''
default['esh']['forgejo']['service']['binary'] = 'https://codeberg.org/forgejo/forgejo/releases/download/v8.0.1/forgejo-8.0.1-linux-amd64'
default['esh']['forgejo']['service']['asc'] = 'https://codeberg.org/forgejo/forgejo/releases/download/v8.0.1/forgejo-8.0.1-linux-amd64.asc'
default['esh']['forgejo']['service']['load_config'] = true
default['esh']['forgejo']['service']['config'] = <<~EOT
APP_NAME = Benoit's git
RUN_USER = git
RUN_MODE = prod
WORK_PATH = /var/lib/gitea

[database]
DB_TYPE = mysql
HOST = 127.0.0.1:3306
NAME = git
USER = git
PASSWD = 
SCHEMA = 
SSL_MODE = disable
CHARSET = utf8
PATH = /var/lib/gitea/data/forgejo.db
LOG_SQL = false

[repository]
ROOT = /var/lib/gitea/data/forgejo-repositories

[server]
SSH_DOMAIN = git.benoit.jp.net
DOMAIN = git.benoit.jp.net
HTTP_PORT = 3000
ROOT_URL = https://git.benoit.jp.net/
DISABLE_SSH = false
START_SSH_SERVER = true
SSH_PORT = 22
SSH_LISTEN_HOST = 10.78.127.119
SSH_LISTEN_PORT = 10022
SSH_SERVER_USE_PROXY_PROTOCOL = true
LFS_START_SERVER = true
LFS_JWT_SECRET = 
OFFLINE_MODE = false

[lfs]
PATH = /var/lib/gitea/data/lfs

[mailer]
ENABLED = true
FROM = git-no-reply@benoit.jp.net
MAILER_TYPE = smtp
SMTP_ADDR = mail.benoit.jp.net
SMTP_PORT = 465
IS_TLS_ENABLED = true
USER = git-no-reply@benoit.jp.net
PASSWD = 

[service]
REGISTER_EMAIL_CONFIRM = false
ENABLE_NOTIFY_MAIL = false
DISABLE_REGISTRATION = true
ALLOW_ONLY_EXTERNAL_REGISTRATION = false
ENABLE_CAPTCHA = false
REQUIRE_SIGNIN_VIEW = false
DEFAULT_KEEP_EMAIL_PRIVATE = false
DEFAULT_ALLOW_CREATE_ORGANIZATION = true
DEFAULT_ENABLE_TIMETRACKING = true
NO_REPLY_ADDRESS = noreply.benoit.jp.net

[openid]
ENABLE_OPENID_SIGNIN = false
ENABLE_OPENID_SIGNUP = false

[session]
PROVIDER = file

[log]
MODE = console
LEVEL = info
ROOT_PATH = /var/lib/gitea/log
ROUTER = console

[repository.pull-request]
DEFAULT_MERGE_STYLE = merge

[repository.signing]
DEFAULT_TRUST_MODEL = committer

[security]
INSTALL_LOCK = true
INTERNAL_TOKEN = 
PASSWORD_HASH_ALGO = argon2

[oauth2]
JWT_SECRET = 
EOT
