name 'mail'

###
# Cookbooks location
###

# ESH
default_source :chef_repo, '../cookbooks'

# Community
default_source :supermarket, 'https://supermarket.chef.io'

###
# Run List
###

  #esh_system::hostname
run_list %w(
  esh_system::postfix
  esh_docker::service
  esh_mailcow::install
)

###
# Attributes
###

###
# esh_system
###

default['esh']['system']['hostname']['fqdn'] = 'mail.home.arpa'

###
# esh_mailcow
###

default['esh']['mailcow']['install']['fqdn'] = 'mail.benoit.jp.net'
default['esh']['mailcow']['install']['timezone'] = 'Asia/Tokyo'

# Set to 1 for stable updates
# Set to 2 for unstable updates, testing
default['esh']['mailcow']['install']['branch'] = '1'

default['esh']['mailcow']['install']['haproxy'] = true
default['esh']['mailcow']['install']['haproxy_trusted_networks'] = '10.10.10.0/24'

default['esh']['mailcow']['install']['postfix_myhostname'] = 'gtw.benoit.jp.net'

default['esh']['mailcow']['install']['cert_pub'] = 'http://10.10.10.1:8898/mail.benoit.jp.net/fullchain.pem'
default['esh']['mailcow']['install']['cert_priv'] = 'http://10.10.10.1:8898/mail.benoit.jp.net/privkey.pem'
default['esh']['mailcow']['install']['cert_auth'] = ''

default['esh']['mailcow']['install']['clamd'] = false
