name 'photos'

###
# Cookbooks location
###

# ESH
default_source :chef_repo, '../cookbooks'

# Community
default_source :supermarket, 'https://supermarket.chef.io'

###
# Run List
###

run_list %w(
  esh_docker::service
  esh_photoprism::system
  esh_photoprism::compose
  esh_syncthing::service
)

###
# Attributes
###

###
# esh_photoprism
###

PHOTOPRISM_ADMIN_USER = 'benoit'.freeze
PHOTOPRISM_ADMIN_PASSWORD = ''.freeze
PHOTOPRISM_AUTH_MODE = 'password'.freeze
PHOTOPRISM_SITE_URL = 'https://photos.benoit.jp.net'.freeze
PHOTOPRISM_DISABLE_TLS = 'false'.freeze
PHOTOPRISM_DEFAULT_TLS = 'false'.freeze
PHOTOPRISM_ORIGINALS_LIMIT = 5000
PHOTOPRISM_HTTP_COMPRESSION = 'gzip'.freeze
PHOTOPRISM_LOG_LEVEL = 'info'.freeze
PHOTOPRISM_READONLY = 'true'.freeze
PHOTOPRISM_EXPERIMENTAL = 'false'.freeze
PHOTOPRISM_DISABLE_CHOWN = 'true'.freeze
PHOTOPRISM_DISABLE_WEBDAV = 'true'.freeze
PHOTOPRISM_DISABLE_SETTINGS = 'false'.freeze
PHOTOPRISM_DISABLE_TENSORFLOW = 'false'.freeze
PHOTOPRISM_DISABLE_FACES = 'false'.freeze
PHOTOPRISM_DISABLE_CLASSIFICATION = 'false'.freeze
PHOTOPRISM_DISABLE_VECTORS = 'false'.freeze
PHOTOPRISM_DISABLE_RAW = 'false'.freeze
PHOTOPRISM_RAW_PRESETS = 'false'.freeze
PHOTOPRISM_JPEG_QUALITY = 85
PHOTOPRISM_DETECT_NSFW = 'false'.freeze
PHOTOPRISM_UPLOAD_NSFW = 'true'.freeze
PHOTOPRISM_DATABASE_DRIVER = 'mysql'.freeze
PHOTOPRISM_DATABASE_SERVER = 'mariadb:3306'.freeze
PHOTOPRISM_DATABASE_NAME = 'photoprism'.freeze
PHOTOPRISM_DATABASE_USER = 'photoprism'.freeze
PHOTOPRISM_DATABASE_PASSWORD = 'Enrage-Spring-Refill1'.freeze
PHOTOPRISM_SITE_CAPTION = 'Photos by Benoit'.freeze
PHOTOPRISM_SITE_DESCRIPTION = 'Photos by Benoit'.freeze
PHOTOPRISM_SITE_AUTHOR = 'benoit.jp.net'.freeze
PHOTOPRISM_INIT = 'tensorflow'.freeze
PHOTOPRISM_UID = 998
PHOTOPRISM_GID = 998

default['esh']['photoprism']['environment'] = [
  "PHOTOPRISM_ADMIN_USER: #{PHOTOPRISM_ADMIN_USER}",
  "PHOTOPRISM_ADMIN_PASSWORD: #{PHOTOPRISM_ADMIN_PASSWORD}",
  "PHOTOPRISM_AUTH_MODE: #{PHOTOPRISM_AUTH_MODE}",
  "PHOTOPRISM_SITE_URL: #{PHOTOPRISM_SITE_URL}",
  "PHOTOPRISM_DISABLE_TLS: #{PHOTOPRISM_DISABLE_TLS}",
  "PHOTOPRISM_DEFAULT_TLS: #{PHOTOPRISM_DEFAULT_TLS}",
  "PHOTOPRISM_ORIGINALS_LIMIT: #{PHOTOPRISM_ORIGINALS_LIMIT}",
  "PHOTOPRISM_HTTP_COMPRESSION: #{PHOTOPRISM_HTTP_COMPRESSION}",
  "PHOTOPRISM_LOG_LEVEL: #{PHOTOPRISM_LOG_LEVEL}",
  "PHOTOPRISM_READONLY: #{PHOTOPRISM_READONLY}",
  "PHOTOPRISM_EXPERIMENTAL: #{PHOTOPRISM_EXPERIMENTAL}",
  "PHOTOPRISM_DISABLE_CHOWN: #{PHOTOPRISM_DISABLE_CHOWN}",
  "PHOTOPRISM_DISABLE_WEBDAV: #{PHOTOPRISM_DISABLE_WEBDAV}",
  "PHOTOPRISM_DISABLE_SETTINGS: #{PHOTOPRISM_DISABLE_SETTINGS}",
  "PHOTOPRISM_DISABLE_TENSORFLOW: #{PHOTOPRISM_DISABLE_TENSORFLOW}",
  "PHOTOPRISM_DISABLE_FACES: #{PHOTOPRISM_DISABLE_FACES}",
  "PHOTOPRISM_DISABLE_CLASSIFICATION: #{PHOTOPRISM_DISABLE_CLASSIFICATION}",
  "PHOTOPRISM_DISABLE_VECTORS: #{PHOTOPRISM_DISABLE_VECTORS}",
  "PHOTOPRISM_DISABLE_RAW: #{PHOTOPRISM_DISABLE_RAW}",
  "PHOTOPRISM_RAW_PRESETS: #{PHOTOPRISM_RAW_PRESETS}",
  "PHOTOPRISM_JPEG_QUALITY: #{PHOTOPRISM_JPEG_QUALITY}",
  "PHOTOPRISM_DETECT_NSFW: #{PHOTOPRISM_DETECT_NSFW}",
  "PHOTOPRISM_UPLOAD_NSFW: #{PHOTOPRISM_UPLOAD_NSFW}",
  "PHOTOPRISM_DATABASE_DRIVER: #{PHOTOPRISM_DATABASE_DRIVER}",
  "PHOTOPRISM_DATABASE_SERVER: #{PHOTOPRISM_DATABASE_SERVER}",
  "PHOTOPRISM_DATABASE_NAME: #{PHOTOPRISM_DATABASE_NAME}",
  "PHOTOPRISM_DATABASE_USER: #{PHOTOPRISM_DATABASE_USER}",
  "PHOTOPRISM_DATABASE_PASSWORD: #{PHOTOPRISM_DATABASE_PASSWORD}",
  "PHOTOPRISM_SITE_CAPTION: #{PHOTOPRISM_SITE_CAPTION}",
  "PHOTOPRISM_SITE_DESCRIPTION: #{PHOTOPRISM_SITE_DESCRIPTION}",
  "PHOTOPRISM_SITE_AUTHOR: #{PHOTOPRISM_SITE_AUTHOR}",
  "PHOTOPRISM_INIT: #{PHOTOPRISM_INIT}",
  "PHOTOPRISM_UID: #{PHOTOPRISM_UID}",
  "PHOTOPRISM_GID: #{PHOTOPRISM_GID}",
]

default['esh']['photoprism']['volumes'] = %w(
  /var/lib/photos-originals:/photoprism/originals
  /var/lib/photos-storage:/photoprism/storage
)
default['esh']['photoprism']['mariadb']['volumes'] = %w(
  /var/lib/mysql:/var/lib/mysql
)
default['esh']['photoprism']['mariadb']['password'] = PHOTOPRISM_DATABASE_PASSWORD
default['esh']['photoprism']['mariadb']['root_password'] = ''

###
# esh_syncthing
###

default['esh']['syncthing']['service']['user'] = 'photoprism'
