#
# Cookbook:: esh_archivebox
# Recipe:: undocker
#
# Copyright:: 2022, https://easyself.host
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

url = node['esh']['archivebox']['docker']['url']
image = node['esh']['archivebox']['docker']['image']
tag = node['esh']['archivebox']['docker']['tag']
network = node['esh']['archivebox']['docker']['network']
env = node['esh']['archivebox']['docker']['env']
service = node['esh']['archivebox']['docker']['service']

esh_undocker_download url do
  image image
  tag tag
end

esh_undocker_extract image do
  tag tag
  network network
  env env
end

esh_undocker_service image do
  content service
end
