#
# Cookbook:: esh_forgejo
# Recipe:: system
#
# Copyright:: 2022, https://easyself.host
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

apt_package 'mariadb-server'

mariadb_server_install 'MariaDB Server install' do
  version '10.6'
  setup_repo false
end

mariadb_user 'git' do
  password node['esh']['forgejo']['mariadb']['password']
  database_name 'git'
  action [:create, :grant]
end

mariadb_database 'git' do
  encoding 'utf8mb4'
  collation 'utf8mb4_unicode_ci'
  action :create
end
