#
# Cookbook:: esh_forgejo
# Recipe:: system
#
# Copyright:: 2022, https://easyself.host
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

apt_package %w(git redis-server)

group 'git' do
  system true
  action :create
end

user 'git' do
  comment 'git system user'
  gid 'git'
  home '/home/git'
  manage_home true
  shell '/usr/bin/bash'
  system true
  action :create
end

directory '/var/lib/gitea' do
  owner 'git'
  group 'git'
  mode '0750'
  action :create
end

directory '/etc/forgejo' do
  owner 'git'
  group 'git'
  mode '0750'
  action :create
end
