#
# Cookbook:: esh_mkdocs
# Recipe:: install
#
# Copyright:: 2023, https://easyself.host
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

apt_package %w(python3-pip git nginx)

execute 'install mkdocs' do
  command <<~EOT
    pip install \
    mkdocs-git-revision-date-localized-plugin \
    mkdocs-material \
    mkdocs
  EOT
  action :run
end

directory '/var/www/html' do
  owner 'laminar'
  group 'laminar'
  mode '0755'
  action :create
end

apt_package 'nginx'
