#
# Cookbook:: esh_nitter
# Recipe:: service
#
# Copyright:: 2022, https://easyself.host
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

systemd_unit 'nitter.service' do
  content <<~EOU
  [Unit]
  Description=Nitter (An alternative Twitter front-end)
  After=syslog.target
  After=network.target
  [Service]
  Type=simple
  # set user and group
  User=nitter
  Group=nitter
  # configure location
  WorkingDirectory=/home/nitter/nitter
  ExecStart=/home/nitter/nitter/nitter
  Restart=always
  RestartSec=15
  [Install]
  WantedBy=multi-user.target
  EOU
  verify false
  action [:create, :enable, :start]
  notifies :restart, 'service[nitter]', :immediately
end

service 'nitter' do
  action :nothing
end
