#
# Cookbook:: esh_nitter
# Recipe:: system
#
# Copyright:: 2022, https://easyself.host
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

apt_repository 'bullseye-backports' do
  uri 'http://deb.debian.org/debian'
  components ['main']
  distribution 'bullseye-backports'
  action :add
end

apt_package 'nim' do
  default_release 'bullseye-backports'
end

apt_package %w(git nim libsass-dev libpcre2-dev build-essential)

group 'nitter' do
  system true
  action :create
end

user 'nitter' do
  comment 'nitter system user'
  gid 'nitter'
  home '/home/nitter'
  manage_home true
  shell '/usr/bin/bash'
  system true
  action :create
end
