#
# Cookbook:: esh_ufw
# Recipe:: rules
#
# Copyright:: 2022, https://easyself.host
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

rules = node['esh']['ufw']['rules']['list']

rules.each do |rule|
  execute "ufw #{rule}" do
    command "ufw #{rule}"
    not_if "ufw --dry-run #{rule} | grep -q 'Skipping adding existing rule'"
    action :run
  end
end
